rem:batch file to run CG catalog disk
echo off
:menu1  rem:view catalog main menu
cls
echo.
echo.
type cmenu
echo.
fkey//             Please press your choice:
if not errorlevel 1 goto exit
if errorlevel 63 goto menu1     rem:returns to menu1
if errorlevel 61 goto f3        rem:prints CG order form
if errorlevel 60 goto f2        rem:print CG catalog
if errorlevel 59 goto menu2     rem:view CG catalog
goto menu1
:f2     rem:print catalog
cls
echo.
echo.
echo            You are about to print the CG CATALOG. You 
echo            will need about 50 continuous sheets of paper.
echo.
echo            PRESS F1 to continue or anyother key to return to 
echo                        CG MAIN MENU
echo.
fkey//          PRESS your choice now:
if not errorlevel 59 goto menu1
copy intro.txt prn
copy bg.txt prn
copy gm.txt prn
copy ds.txt prn	
copy mg.txt prn
copy ed.txt prn
copy bs.txt prn
copy gr.txt prn
copy gu.txt prn	
copy wp.txt prn
copy cgoder.txt prn
goto menu1		rem:returns to main menu
:f3     rem:prints cg order form
cls
echo.
echo.
echo            You are about to print the C.G. ORDER FORM. You 
echo            will need at least three sheets of continuous paper.
echo.
echo		   PRESS any key to continue OR
echo.
echo            PRESSing the ESC key will return you to the
echo                        C.G. MAIN MENU
echo.
fkey//          PRESS your choice now:
if not errorlevel 1 goto menu1
copy cgorder.txt prn
goto menu1
:menu2  rem:catalog main menu
cls
echo.
echo.
echo            C.G. CATALOG MENU
echo.
echo            PRESS          CATAGORY
echo.
echo             F1             GENERAL INFORMATION
echo             F2             BEGINNERS, LANGUAGES & COMMINCATIONS
echo             F3             DATABASES & SPREADSHEETS 
echo             F4             HOME, FAMILY & PERSONAL
echo             F5             FUN THINGS & GAMES
echo             F6             EDUCATION & RELIGION
echo             F7             BUSINESS & FINANCIAL
echo             F8             GENERAL UTILITIES
echo             F9             WORD PROCESSING & EDITORS
echo             F10            GRAPHICS & GRAPHIC UTILS & WINDOWS
echo             ESC            EXIT to C.G. MAIN MENU
echo.
fkey//           Please PRESS your choice:
if not errorlevel 1 goto menu1
if errorlevel 69 goto menu2     rem:returns to menu2
if errorlevel 68 goto gr        rem:view graphics
if errorlevel 67 goto wp        rem:view word proc & editing
if errorlevel 66 goto gu        rem:view gen utils
if errorlevel 65 goto bs        rem:view business appl
if errorlevel 64 goto ed        rem:view education & relig
if errorlevel 63 goto gm        rem:view games
if errorlevel 62 goto mg        rem:view home mgmnt
if errorlevel 61 goto ds        rem:view databases & spreads
if errorlevel 60 goto bg        rem:view begin, lang, comm
if errorlevel 59 goto intro     rem:intro, spec
goto menu2
:intro  rem:introduction
cls
view intro.txt
goto menu2
:bg     rem:beginners, comp langs, comm
cls
view bg.txt
goto menu2
:ds     rem:databases & spreads
cls
view ds.txt
goto menu2
:mg     rem:home mgmnt
cls
view mg.txt
goto menu2
:gm     rem:games
cls
view gm.txt
goto menu2
:ed     rem:ed & relig
cls
view ed.txt
goto menu2
:bs     rem:bus appl
cls
view bs.txt
goto menu2
:gu     rem:gen utils
cls
view gu.txt
goto menu2
:wp     rem:word proc
cls
view wp.txt
goto menu2
:gr     rem:graphics
cls
view gr.txt
goto menu2
:men
cls
:exit
cls
echo.
echo.
type xmenu
echo.
fkey//          Please press your choice:
if errorlevel 1 goto menu1
cls
echo.
echo.
echo            You have selected to EXIT !
echo.
type endtxt                                          
echo.
echo.
echo             B Y E     B Y E    F O R     N O W
echo on 
